# POST /riffusion/generate/topic

**Method**: `POST`
**Endpoint**: `/riffusion/generate/topic`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
model
enum<string>
  // provider-specific example normalized for English documentation
Required
Enum Values:
FUZZ-1.0
FUZZ-1.1
FUZZ-1.0 Pro
FUZZ-1.1 Pro
topic
string
  // provider-specific example normalized for English documentation
Required
instrumental
boolean
Optional
Whether it is instrumental only, without vocals
Default Value:
false
Example
{
"model"
:
"FUZZ-1.0"
,
"topic"
:
"string"
,
"instrumental"
:
false
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/riffusion/generate/topic' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "FUZZ-1.0",
    "topic": "string",
    "instrumental": false
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
jobs
array
[object]
Required
id
string
Required
```

#### Example

```json
{
  "jobs": [
    {
      "id": "a375338b-0e3c-4072-9283-8601e09d0b86"
    },
    {
      "id": "e2e51d01-18bc-455e-9e33-851e0811a29a"
    }
  ]
}

```
